# Server
PORT=5000
NODE_ENV=development
SEND_EMAILS=YES
BLOCKCHAIN_SIMULATION_MODE=true 

# server url
SERVER_URL=http://localhost:5000

# Database
MONGO_URI=mongodb://localhost:27017/nodemeta

# JWT
JWT_SECRET=your_jwt_secret_key
JWT_ISSUER=nodemeta
JWT_AUDIENCE=nodemeta-clients

WALLET_HASH_SALT=your-super-secure-wallet-hash-salt-here
TWO_FA_SECRET_SALT=another-super-secure-salt-for-2fa-secrets-3948rgv9rj8743897r39r43478t7478ry47ry3rn

# RSA Signature (for request signing)
RSA_PUBLIC_KEY=
RSA_PRIVATE_KEY=
RSA_PASSPHRASE=

# CORS
CORS_ORIGIN=*

# Origin Validation
ALLOWED_ORIGINS=web,mobile,admin,api

# 2FA Configuration
TWO_FACTOR_ISSUER=NodeMeta Platform


# VAPID Keys for Push Notifications
VAPID_PUBLIC_KEY=BK_Fet8e3jnoxyYEgwkBiamHSlslTPg0ESlt9-cIpfbs_oCqNoxMtcYkkI82ycEezUShM3eFQrqgUMesN7FfTlU
VAPID_PRIVATE_KEY=gq5D__zUi3wd2dzTECtcQMlFow7ILYczFDRmW6mfx1w
VAPID_SUBJECT=mailto:noreply@node-meta.com

# Email Configuration
SMTP_HOST=nc-ph-2859.node-meta.com
SMTP_PORT=587
SMTP_SECURE=false
SMTP_USER=noreply@node-meta.com
SMTP_PASS=XxCDbe4qVmhnYo2N
SMTP_FROM=Node Meta <noreply@node-meta.com>


# Binance Smart Chain Configuration
TOKEN_BNB_PAIR_ADDRESS=0x4b716d9Cf98ac25571c305D7473695a5309Bb3d0
BSC_RPC_URL=https://bsc-dataseed1.binance.org/
TOKEN_BNB_PAIR=0x4b716d9Cf98ac25571c305D7473695a5309Bb3d0
TOKEN_CONTRACT_ADDRESS=0x727AB05EDc56a19010Aa08F9427F9Aa671d191CC
ANKR_BSC=https://rpc.ankr.com/bsc/a16a015b43244c14f9d3cd915ac871ac6e2d24c6137ea2017630bcd9aa640379
RESERVE_WALLET_ADDRESS=0x89852cB9C2573FDB714E752Fd5d52Ad405E5Ef3c
TOKEN_TAX_ADDRESS=0x89852cB9C2573FDB714E752Fd5d52Ad405E5Ef3c
APPROVED_RESERVE_WALLETS=0x89852cB9C2573FDB714E752Fd5d52Ad405E5Ef3c,0x2a5631061364ef781766b04db5c9f96cc17bf3e7,0xfe0f48e0dd00b49aaaa0130e5c676c2d4b2221a5,0x922fb56f472cac1b40d436f7932f3a2e06d790df,0xf1fc0bd2be1a1288e68ea9e14a53a24101a91d28,0xb8bd75021c4c81a08417a0d5140d1339f7e720e7,0x7a6b8e9a3f8a3e1ef16f1d6b891688417abf7b77,0x1452b879d0391cac43f7a49e4884bc9cf6ec04c4,0x27e2895b1b25fce2e4e93a999c76fbf105256141,0xcad5192315231187ee48d366653bb2ba29c9bcc2,0x8f37d9E13aD9821956c6C4b95239BF0C2F051dd8


# Legacy Cron Job Configuration
DATABASE_BACKUP_SCHEDULE=35 55 6 * * *
DBE_DAILY_VERIFICATION_SCHEDULE=10 44 5 * * *
RANK_UPDATE_SCHEDULE=20 44 5 * * *
PACKAGE_OWNERS_SCHEDULE=10 11 10 * * *
PACKAGE_USER_COUNTS_SCHEDULE=20 11 10 * * *
USERS_WITH_PACKAGES_SCHEDULE=30 11 10 * * *
PACKAGE_EXPIRATION_SCHEDULE=40 11 10 * * *
BONUS_DISTRIBUTION_SCHEDULE=50 11 10 * * *
RANK_SALARY_SCHEDULE=0 8 9 * * *
MONTHLY_BONUS_SCHEDULE=20 8 9 * * *
PANCAKESWAP_TRACKER_SCHEDULE=40 45 5 * * *



# VAPID Keys for Push Notifications
VAPID_PUBLIC_KEY=BK_Fet8e3jnoxyYEgwkBiamHSlslTPg0ESlt9-cIpfbs_oCqNoxMtcYkkI82ycEezUShM3eFQrqgUMesN7FfTlU
VAPID_PRIVATE_KEY=gq5D__zUi3wd2dzTECtcQMlFow7ILYczFDRmW6mfx1w
VAPID_SUBJECT=mailto:support@node-meta.com












